from pydantic import BaseModel


class Price(BaseModel):
    avg: float
    max: float
    median: float
    min: float
    percentile: float
    stddev: float
    volume: int
    order_count: int

class Prices(BaseModel):
    all: Price
    buy: Price
    sell: Price


class Item(BaseModel):
    name: str
    typeID: int
    typeName: str
    typeVolume: float
    quantity: int
    prices: Prices

class Total_price(BaseModel):
    buy: float
    sell: float
    volume: float

class Evepraisal(BaseModel):
    id: str
    created: int
    kind: str
    market_name: str
    items: list[Item]
    totals: Total_price
    price_percentage: float
    raw: str


class PriceReprocess(BaseModel):
    typeID: int
    buy: float
    sell: float
    buy_reprocess: float
    sell_reprocess: float
    name: str


